library custombottomnavbar;

import 'package:flutter/material.dart';

class CustomBottomNavigation extends StatefulWidget {
  final List<Widget> items;
  final Color color1;
  final BorderRadius radius;

  CustomBottomNavigation({
    Key key,
    this.items,
    this.color1,
    this.radius,
  }) : super(key: key);
  @override
  _CustomBottomNavigationState createState() => _CustomBottomNavigationState();
}

class _CustomBottomNavigationState extends State<CustomBottomNavigation> {
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(bottom: 20),
      alignment: Alignment.bottomCenter,
      width: double.infinity,
      height: 80,
      decoration: BoxDecoration(
        color: widget.color1,
        borderRadius: widget.radius,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: widget.items.map((icon) {
          return icon;
        }).toList(),
      ),
    );
  }
}
